Package es.imim.DISGENET.internal

# Class CustomChartListener

java.lang.Object
es.imim.DISGENET.internal.CustomChartListener

public class CustomChartListener extends Object
This class manages the addition and removal of custom chart factories in Cytoscape.

## Constructor Summary

Constructors
Constructor
Description
`CustomChartListener()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addCustomGraphicsFactory(org.cytoscape.view.presentation.customgraphics.CyCustomGraphics2Factory<?> factory, Map<Object,Object> serviceProps)`
Adds a custom graphics factory if its ID matches the specified factory ID.
`org.cytoscape.view.presentation.customgraphics.CyCustomGraphics2Factory<?>`
`getFactory()`
Retrieves the currently stored custom graphics factory.
`void`
`removeCustomGraphicsFactory(org.cytoscape.view.presentation.customgraphics.CyCustomGraphics2Factory<?> factory, Map<Object,Object> serviceProps)`
Removes the currently stored custom graphics factory.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CustomChartListener

public CustomChartListener()

## Method Details

### addCustomGraphicsFactory

public void addCustomGraphicsFactory(org.cytoscape.view.presentation.customgraphics.CyCustomGraphics2Factory<?> factory, Map<Object,Object> serviceProps)
Adds a custom graphics factory if its ID matches the specified factory ID.

Parameters:
  `factory` - The custom graphics factory to add.
  `serviceProps` - The service properties associated with the factory.

### removeCustomGraphicsFactory

public void removeCustomGraphicsFactory(org.cytoscape.view.presentation.customgraphics.CyCustomGraphics2Factory<?> factory, Map<Object,Object> serviceProps)
Removes the currently stored custom graphics factory.

Parameters:
  `factory` - The custom graphics factory to remove.
  `serviceProps` - The service properties associated with the factory.

### getFactory

public org.cytoscape.view.presentation.customgraphics.CyCustomGraphics2Factory<?> getFactory()
Retrieves the currently stored custom graphics factory.

Returns:
  The current custom graphics factory.